package com.company.awsfsbug.view.book;

import com.company.awsfsbug.entity.Book;

import com.company.awsfsbug.view.main.MainView;

import com.vaadin.flow.router.Route;
import io.jmix.flowui.view.*;

@Route(value = "books", layout = MainView.class)
@ViewController("Book.list")
@ViewDescriptor("book-list-view.xml")
@LookupComponent("booksDataGrid")
@DialogMode(width = "64em")
public class BookListView extends StandardListView<Book> {
}